//---------------------------------------------------------------------------
#ifndef App_HelpH
#define App_HelpH
//---------------------------------------------------------------------------
#include "App_Commands.h"
//---------------------------------------------------------------------------
namespace App_help {
//---------------------------------------------------------------------------
class EHelpError : public Exception
{
public:
	__fastcall EHelpError(const AnsiString& AMessage) : Exception(AMessage) {}
};
//---------------------------------------------------------------------------
class THelpModel : public TObject
{
private:
	static const AnsiString HelpFile;
	static const AnsiString About;
protected:
public:
	__fastcall THelpModel();
	virtual __fastcall ~THelpModel();
	virtual void __fastcall ShowContents();
	virtual void __fastcall ShowAbout();
};
//---------------------------------------------------------------------------
class THelpCommands : public TCommands
{
private:
	THelpModel* FHelpModel;
	__property THelpModel* HelpModel = {read=FHelpModel};
protected:
public:
	__fastcall THelpCommands(THelpModel* AHelpModel);
	virtual __fastcall ~THelpCommands();
	virtual void __fastcall ShowContents();
	virtual bool __fastcall CanShowContents();
	virtual void __fastcall ShowAbout();
	virtual bool __fastcall CanShowAbout();
};
//---------------------------------------------------------------------------
} // End namespace App_help
using namespace App_help;
//---------------------------------------------------------------------------
#endif

